# COPYRIGHT 2016 (c) Marcel Kapfer (mmk2410)
# MIT License

gulp = require 'gulp'
coffee = require 'gulp-coffee'
sass = require 'gulp-sass'

gulp.task 'coffee', ->
  gulp.src './res/js/*.coffee'
    .pipe coffee()
    .pipe gulp.dest './res/js/'

gulp.task 'sass', ->
  gulp.src './res/css/*.sass'
    .pipe sass()
    .pipe gulp.dest './res/css/'

gulp.task 'default', ->
  gulp.watch './res/js/*.coffee', ['coffee']
  gulp.watch './res/css/*.sass', ['sass']
